Failing to install on android 8

Hi, I am trying to develop an app for an Android 8.1 tablet, since it is not a standard tablet, I need to use adb to install APKs, but, every time I try it gives me the same error: New installs into ASEC containers no longer supported and then a series of services (sorry I can not paste the whole error right now) but I will attach a photo (pretty bad photo but I was in a bit of a rush).

Now my question is: Have I done something wrong? Is Android 8 not compatible anymore?